Atualizar conta bancária
curl --request POST \
--url https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash} \
--header 'Content-Type: application/json' \
--header 'X-Api-Client-Token: <api-key>' \
--data '
{
"holder_name": "<string>",
"receiver_type": "pix",
"pix_key": "<string>",
"bank_code": "<string>"
}
'import requests
url = "https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}"
payload = {
"holder_name": "<string>",
"receiver_type": "pix",
"pix_key": "<string>",
"bank_code": "<string>"
}
headers = {
"X-Api-Client-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Client-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
holder_name: '<string>',
receiver_type: 'pix',
pix_key: '<string>',
bank_code: '<string>'
})
};
fetch('https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'holder_name' => '<string>',
'receiver_type' => 'pix',
'pix_key' => '<string>',
'bank_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}"
payload := strings.NewReader("{\n \"holder_name\": \"<string>\",\n \"receiver_type\": \"pix\",\n \"pix_key\": \"<string>\",\n \"bank_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Client-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}")
.header("X-Api-Client-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"holder_name\": \"<string>\",\n \"receiver_type\": \"pix\",\n \"pix_key\": \"<string>\",\n \"bank_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Client-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"holder_name\": \"<string>\",\n \"receiver_type\": \"pix\",\n \"pix_key\": \"<string>\",\n \"bank_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": "<string>",
"holder_name": "<string>",
"receiver_type": "pix",
"pix_key": "<string>",
"bank_code": "<string>",
"branch_number": "<string>",
"branch_check_digit": "<string>",
"account_number": "<string>",
"account_check_digit": "<string>",
"status": "approved"
}Contas Bancárias
Atualizar conta bancária
Atualiza os dados de uma conta bancária existente.
Campos atualizáveis:
bank_code- Código do bancoagency- Agênciaaccount- Contaaccount_type- Tipo de contaholder_name- Nome do titularholder_document- CPF/CNPJ do titular
POST
/
users
/
bank-accounts
/
{account_hash}
Atualizar conta bancária
curl --request POST \
--url https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash} \
--header 'Content-Type: application/json' \
--header 'X-Api-Client-Token: <api-key>' \
--data '
{
"holder_name": "<string>",
"receiver_type": "pix",
"pix_key": "<string>",
"bank_code": "<string>"
}
'import requests
url = "https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}"
payload = {
"holder_name": "<string>",
"receiver_type": "pix",
"pix_key": "<string>",
"bank_code": "<string>"
}
headers = {
"X-Api-Client-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Client-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
holder_name: '<string>',
receiver_type: 'pix',
pix_key: '<string>',
bank_code: '<string>'
})
};
fetch('https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'holder_name' => '<string>',
'receiver_type' => 'pix',
'pix_key' => '<string>',
'bank_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}"
payload := strings.NewReader("{\n \"holder_name\": \"<string>\",\n \"receiver_type\": \"pix\",\n \"pix_key\": \"<string>\",\n \"bank_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Client-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}")
.header("X-Api-Client-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"holder_name\": \"<string>\",\n \"receiver_type\": \"pix\",\n \"pix_key\": \"<string>\",\n \"bank_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/users/bank-accounts/{account_hash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Client-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"holder_name\": \"<string>\",\n \"receiver_type\": \"pix\",\n \"pix_key\": \"<string>\",\n \"bank_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": "<string>",
"holder_name": "<string>",
"receiver_type": "pix",
"pix_key": "<string>",
"bank_code": "<string>",
"branch_number": "<string>",
"branch_check_digit": "<string>",
"account_number": "<string>",
"account_check_digit": "<string>",
"status": "approved"
}Authorizations
ApiClientTokenbearerAuth
Token de autenticação do cliente obtido via endpoint /auth
Path Parameters
Hash da conta bancária
Body
application/json
- Option 1
- Option 2
Response
Conta bancária atualizada com sucesso
Código único da conta bancária
Maximum string length:
191Available options:
pix, bank Maximum string length:
191Chave pix (pode ser nula)
Maximum string length:
191Código do banco
Número da agência
Maximum string length:
20Dígito da agência
Maximum string length:
3Número da conta
Maximum string length:
20Dígito da conta
Maximum string length:
3Status da conta bancária (approved = aprovada, pending = pendente, reproved = reprovada)
Available options:
approved, pending, reproved